summaryrefslogtreecommitdiffstats
path: root/dung-3.4.25-m2/common/dmesg-quiet.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dung-3.4.25-m2/common/dmesg-quiet.sh')
-rwxr-xr-xdung-3.4.25-m2/common/dmesg-quiet.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/dung-3.4.25-m2/common/dmesg-quiet.sh b/dung-3.4.25-m2/common/dmesg-quiet.sh
new file mode 100755
index 0000000..d0b6219
--- /dev/null
+++ b/dung-3.4.25-m2/common/dmesg-quiet.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# dmesg-quiet.sh
+#
+# Simple dmesg based feature test (quiet variant)
+#
+# Copyright (C) 2013 Horms Soltutions Ltd.
+#
+# Contact: Simon Horman <horms@verge.net.au>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+
+set -e
+#set -x
+
+if [ $# -ne 1 ]; then
+ echo "usage: $(basename $0) PATTERN" >& 2
+ exit 1
+fi
+
+PATTERN="$1"
+
+#echo "dmesg feature test for '$PATTERN'"
+
+if ! dmesg | grep "$PATTERN" > /dev/null; then
+ echo "error: not matched" >&2
+ exit 1
+fi